# Trait ethcore_dapps::WebProxyTokens [−] [src]

    pub trait WebProxyTokens: Send + Sync {
        fn is_web_proxy_token_valid(&self, token: &String) -> bool;
    }

Validates Web Proxy tokens

## Required Methods

### `fn is_web_proxy_token_valid(&self, token: &String) -> bool`

Should return true if token is a valid web proxy access token.

## Implementors

- `impl<F> WebProxyTokens for F where F: Fn(String) -> bool + Send + Sync`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)